#sql("getTransOrderInfo")
	select farmer.name, farmer.bank_id bankAccount,order_info.id,
	farmer.id_card cardNum,order_info.price money,order_info.id orderNo
	from order_info
	left join t_tree
	on order_info.tree_id=t_tree.id
	left join farmer
	on t_tree.farmer_id=farmer.id
	where LENGTH(farmer.bank_id)>0
#end

#sql("queryTransFarmerOrderInfo")
  SELECT
    dd.`name`,
    dd.bank_id AS bankAccount,
    dd.id_card AS cardNum,
    tt.totalMoney
  FROM
    (
      SELECT
        bb.farmer_id,
        SUM(aa.price) AS totalMoney
      FROM
        order_info aa
      INNER JOIN t_tree bb ON aa.tree_id = bb.id
      AND bb.`ENABLE` = 1
      WHERE
        aa.`ENABLE` = 1
      AND aa.is_send = 1
      GROUP BY
        bb.farmer_id
    ) tt
  INNER JOIN farmer dd ON tt.farmer_id = dd.id
  AND dd.`ENABLE` = 1
  WHERE
    dd.BANK_TYPE = 'post'
  AND dd.bank_validate = 1
#end

#sql("checkClear")
	select distinct transFile 
	from order_info 
	left join t_tree
	on order_info.tree_id=t_tree.id
	left join farmer
	on t_tree.farmer_id=farmer.id
	where order_info.ENABLE=4 and farmer.BANK_TYPE='post' and order_info.CREATE_DATE>= ?
#end